%define evo_major 2.22

%define exchange_support 1
%define inline_audio_support 1
%define ldap_support 1
%define libnotify_support 1
%define krb5_support 1
%define nntp_support 1
%define nm_support 1
%define pilot_support 0
%define use_mozilla_nss 1
# Use stricter build settings than required by upstream.
%define strict_build_settings 1
%define build_conduits 0
%define evo_plugin_dir %{_libdir}/evolution/%{evo_major}/plugins

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name: 		evolution
Version: 	2.22.1
Release: 	1
License: 	GPL
Group: 		Networking/Mail
Summary: 	GNOMEs next-generation groupware suite
URL: 		http://www.gnome.org/projects/evolution/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Source: 	%{name}-%{version}.tar.bz2
### Patches ###
# bad hack
Patch10: 	evolution-1.4.4-ldap-x86_64-hack.patch
# Fix for RH bug 164957 (was for 145552):
Patch11: 	evolution-2.0.2-fix-145552.patch
# Patches for conduits, based upon
# rh-161817-attach-116019-conduit_pilot_link_updates.diff
# (the latter patch was originally by Mark G. Adams):
# Patch12: evolution-2.5.4-fix-conduits.patch
# Move .conduit files from share to lib (for the sake of multilib)
# This patch effects other parts of evolution.spec and so is necessary
# for a successful build.
Patch13: 	evolution-2.5.4-fix-conduit-dir.patch
# Remove gnome-common macros from configure.in.
# We do not ship gnome-common (or at least we're not supposed to).
Patch14: 	evolution-2.7.1-no-gnome-common.patch
# RH bug #176400
Patch15: 	evolution-2.9.1-im-context-reset.patch
# RH bug #437208 / GNOME bug #518103
Patch16: 	evolution-2.22.0-line-status.patch
Requires: 	ORBit2
Requires: 	dbus
Requires: 	evolution-data-server
Requires: 	gnome-icon-theme
Requires: 	gnome-spell
Requires: 	gnome-vfs
Requires: 	gnutls
Requires: 	gtk2+
Requires: 	libbonoboui
Requires: 	libgnomeprint
Requires: 	libsoup
Requires: 	scrollkeeper
#Requires: 	spamassassin
Requires: 	libnotify
BuildRequires: 	GConf-devel
BuildRequires: 	ORBit2-devel
BuildRequires: 	atk-devel
BuildRequires: 	autoconf >= 2.59
BuildRequires: 	automake >= 1.9
BuildRequires: 	bison
#BuildRequires: 	byacc
BuildRequires: 	bison
BuildRequires: 	dbus-devel
BuildRequires: 	dbus-glib-devel
BuildRequires: 	desktop-file-utils
BuildRequires: 	evolution-data-server-devel
BuildRequires: 	flex
BuildRequires: 	gettext
BuildRequires: 	gnome-vfs-devel
BuildRequires: 	gnutls-devel
BuildRequires: 	gtk-doc
BuildRequires: 	libgtkhtml3-devel >= 3.0.16
BuildRequires: 	intltool >= 0.35
BuildRequires: 	libbonobo-devel
BuildRequires: 	libbonoboui-devel
BuildRequires: 	libgnomecanvas-devel
BuildRequires: 	libgnomeprint-devel
BuildRequires: 	libgnomeui-devel
BuildRequires: 	libsoup-devel
BuildRequires: 	libtool >= 1.5
BuildRequires: 	libxml2-devel
BuildRequires: 	pkg-config

%if %{use_mozilla_nss}
BuildRequires: nspr-devel
BuildRequires: nss-devel
%else
BuildRequires: openssl-devel
%endif

%if %{inline_audio_support}
# audio-inline plugin requires gstreamer to build:
BuildRequires: gstreamer10-devel
%endif

%if %{ldap_support} 
BuildRequires: openldap-devel
%endif

%if %{pilot_support} 
BuildRequires: 	gnome-pilot-devel
# bleah, gnome-pilot really sucks this in, but then I have to have an explicit
# versioning for gnome-pilot when it changes less than pilot-link itself
BuildRequires: 	pilot-link-devel
Requires: 	gnome-pilot
%endif

%if %{krb5_support} 
BuildRequires: krb5-devel 
# tweak for krb5 1.2 vs 1.3
%define krb5dir /usr/kerberos
#define krb5dir `pwd`/krb5-fakeprefix
%endif

%if %{nm_support}
BuildRequires: NetworkManager-glib-devel
%endif

%if %{libnotify_support}
BuildRequires: libnotify-devel
%endif

%description
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

%package devel
Group: 		Development/Libraries
Summary: 	Development files for building against evolution
Requires: 	%{name} = %{version}
Requires: 	libgtkhtml3-devel >= 3.0.16
Requires: 	libsoup-devel
Obsoletes: 	libgal-devel

%description devel
Development files needed for building things which link against evolution.

%package help
Group: 		Networking/Mail
Summary: 	Help files for Evolution
Requires: 	%{name} = %{version}-%{release}

%description help
This package contains the help for Evolution. 

%if %{build_conduits}
%package conduits
Group: 		Networking/Mail
Summary: 	gnome-pilot conduits for %{name}
Requires:	%{name} = %{version}-%{release}
Requires: 	gnome-pilot >= %{gnome_pilot_version}

%description conduits
This package contains conduits for synchronizing PalmPilot<tm> or other
PalmOS<tm> devices with %{name}.
%endif

%package bogofilter
Group: 		Networking/Mail
Summary: 	Bogofilter plugin for Evolution
Requires: 	%{name} = %{version}-%{release}
Requires: 	bogofilter

%description bogofilter
This package contains the plugin to filter junk mail using Bogofilter.

%package spamassassin
Group: 		Networking/Mail
Summary: 	SpamAssassin plugin for Evolution
Requires: 	%{name} = %{version}-%{release}
Requires: 	spamassassin

%description spamassassin
This package contains the plugin to filter junk mail using SpamAssassin.


%prep
%setup -q
%patch10 -p1 -b .ldaphack
%patch11 -p1 -b .fix-164957
#patch12 -p1 -b .fix-conduits  # leave commented
%patch13 -p1 -b .fix-conduit-dir
%patch14 -p1 -b .no-gnome-common
%patch15 -p1 -b .im-context-reset
%patch16 -p1 -b .line-status

mkdir -p krb5-fakeprefix/include
mkdir -p krb5-fakeprefix/lib
mkdir -p krb5-fakeprefix/%{_lib}

# Remove the welcome email from Novell
for inbox in mail/default/*/Inbox; do
  echo -n "" > $inbox
done

%build
# define all of our flags, this is kind of ugly :(
%if %{ldap_support}
%define ldap_flags --with-openldap=yes
%else
%define ldap_flags --without-openldap
%endif

%if %{build_conduits}
%define pilot_flags --enable-pilot-conduits=yes
%else
%define pilot_flags --enable-pilot-conduits=no
%endif

%if %{krb5_support}
%define krb5_flags --with-krb5=%{krb5dir}
%else
%define krb5_flags --without-krb5
%endif

%if %{nntp_support}
%define nntp_flags --enable-nntp=yes
%else
%define nntp_flags --enable-nntp=no
%endif

%if %{use_mozilla_nss}
%define ssl_flags --enable-nss=yes --enable-smime=yes
%else
%define ssl_flags --enable-openssl=yes
%endif

%if %{use_mozilla_nss}
if ! pkg-config --exists nss; then 
  echo "Unable to find suitable version of mozilla nss to use!"
  exit 1
fi
%endif

%if %{exchange_support}
%define exchange_flags --enable-exchange=yes
%else
%define exchange_flags --enable-exchange=no
%endif

CPPFLAGS="-I%{_includedir}/et"; export CPPFLAGS
CFLAGS="$RPM_OPT_FLAGS -fPIC -DLDAP_DEPRECATED -I%{_includedir}/et -Wno-sign-compare"; export CFLAGS
%if ! %{use_mozilla_nss}
if pkg-config openssl ; then
	CFLAGS="$CFLAGS `pkg-config --cflags openssl`"
	LDFLAGS="$LDFLAGS `pkg-config --libs-only-L openssl`"
fi
%endif

# Add stricter build settings here as the source code gets cleaned up.
# We want to make sure things like compiler warnings and avoiding deprecated
# functions in the GNOME/GTK+ libraries stay fixed.
#
# Please file a bug report at bugzilla.gnome.org if these settings break
# compilation, and encourage the upstream developers to use them.

%if %{strict_build_settings}
CFLAGS="$CFLAGS \
	-DG_DISABLE_DEPRECATED=1 \
        -DPANGO_DISABLE_DEPRECATED=1 \
	-DGDK_PIXBUF_DISABLE_DEPRECATED=1 \
	-DGDK_DISABLE_DEPRECATED=1 \
	-DEDS_DISABLE_DEPRECATED=1 \
	-Wdeclaration-after-statement \
	-Werror-implicit-function-declaration"
# TODO: Make -DCAMEL_DISABLE_DEPRECATED work.
%endif

%configure --localstatedir=/var/lib --sysconfdir=%_sysconfdir/gnome --libexecdir=%_libdir \
  --enable-gtk-doc \
  --enable-ipv6 \
  --with-sub-version=" (%{version}-%{release})" \
  --with-kde-applnk-path=no \
  --enable-file-chooser=yes \
  %ldap_flags %pilot_flags %krb5_flags %nntp_flags %ssl_flags %exchange_flags \
  --enable-plugins=all
export tagname=CC
make %{?_smp_mflags} LIBTOOL=/usr/bin/libtool CFLAGS="$CFLAGS -UGNOME_DISABLE_DEPRECATED -fno-strict-aliasing"

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export tagname=CC
make LIBTOOL=%{_bindir}/libtool DESTDIR=$RPM_BUILD_ROOT install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# remove libtool archives for importers and the like
find $RPM_BUILD_ROOT/%{_libdir}/evolution -name '*.la' -exec rm {} \;

# remove statically built libraries:
find $RPM_BUILD_ROOT/%{_libdir}/evolution -name '*.a' -exec rm {} \;

# pilot conduits static and libtool bits should go away too
rm -f $RPM_BUILD_ROOT/%{_libdir}/gnome-pilot/conduits/*.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/gnome-pilot/conduits/*.la

# remove additional things we don't want
%if ! %{inline_audio_support}
%{__rm} -f $RPM_BUILD_ROOT%{evo_plugin_dir}/org-gnome-audio-inline.eplug \
           $RPM_BUILD_ROOT%{evo_plugin_dir}/liborg-gnome-audio-inline.so
%endif

# scrollkeeper gets handled in %post
rm -rf $RPM_BUILD_ROOT/var/lib/scrollkeeper

rm -f $RPM_BUILD_ROOT%{_datadir}/mime-info/evolution.keys
rm -f $RPM_BUILD_ROOT%{_datadir}/mime-info/evolution.mime

for serverfile in $RPM_BUILD_ROOT%{_libdir}/bonobo/servers/*.server; do
    sed -i -e 's|location *= *"/usr/lib\(64\)*/|location="/usr/$LIB/|' $serverfile
done

%find_lang evolution-%{evo_major} --all-name --with-gnome

grep "/usr/share/locale" evolution-%{evo_major}.lang > translations.lang
grep -v "/usr/share/locale" evolution-%{evo_major}.lang > help.lang


%post
/sbin/ldconfig
scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/apps-evolution-mail-notification.schemas > /dev/null
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/apps-evolution-mail-prompts-checkdefault.schemas > /dev/null
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/apps_evolution_addressbook.schemas > /dev/null
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/apps-evolution-attachment-reminder.schemas > /dev/null
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/apps_evolution_calendar.schemas > /dev/null
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/apps_evolution_shell.schemas > /dev/null
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/evolution-mail.schemas > /dev/null

%post bogofilter
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/bogo-junk-plugin.schemas > /dev/null

%postun
/sbin/ldconfig
scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%clean
rm -rf $RPM_BUILD_ROOT

%files -f translations.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
# GConf schemas:
%{_sysconfdir}/gnome/gconf/schemas/apps-evolution-attachment-reminder.schemas
%{_sysconfdir}/gnome/gconf/schemas/apps-evolution-mail-notification.schemas
%{_sysconfdir}/gnome/gconf/schemas/apps-evolution-mail-prompts-checkdefault.schemas 
%{_sysconfdir}/gnome/gconf/schemas/apps_evolution_addressbook.schemas
%{_sysconfdir}/gnome/gconf/schemas/apps_evolution_calendar.schemas
%{_sysconfdir}/gnome/gconf/schemas/apps_evolution_shell.schemas
%{_sysconfdir}/gnome/gconf/schemas/evolution-mail.schemas
# The main executable
%{_bindir}/evolution
# Desktop files:
%{_datadir}/applications/evolution.desktop
# Icons:
%{_datadir}/icons/hicolor/16x16/apps/evolution.png
%{_datadir}/icons/hicolor/22x22/apps/evolution.png
%{_datadir}/icons/hicolor/24x24/apps/evolution.png
%{_datadir}/icons/hicolor/32x32/apps/evolution.png
%{_datadir}/icons/hicolor/48x48/apps/evolution.png
%{_datadir}/icons/hicolor/scalable/apps/evolution.svg
# IDL files (should this be in devel subpackage?)
%{_datadir}/idl/evolution-%{evo_major}
# The main data directory
# (have not attempted to split this up into an explicit list)
%dir %{_datadir}/evolution
%{_datadir}/evolution/%{evo_major}
# Bonobo components:
%{_libdir}/bonobo/servers/GNOME_Evolution_Addressbook.server
%{_libdir}/bonobo/servers/GNOME_Evolution_Calendar.server
%{_libdir}/bonobo/servers/GNOME_Evolution_Calendar_AlarmNotify.server
%{_libdir}/bonobo/servers/GNOME_Evolution_Mail.server
%{_libdir}/bonobo/servers/GNOME_Evolution_Shell.server
%dir %{_libdir}/evolution
%dir %{_libdir}/evolution/%{evo_major}
%dir %{_libdir}/evolution/%{evo_major}/components
%{_libdir}/evolution/%{evo_major}/components/libevolution-addressbook.so
%{_libdir}/evolution/%{evo_major}/components/libevolution-calendar.so
%{_libdir}/evolution/%{evo_major}/components/libevolution-mail.so

# Shared libraries:
%{_libdir}/evolution/%{evo_major}/libeabutil.so.*
%{_libdir}/evolution/%{evo_major}/libeconduit.so.*
%{_libdir}/evolution/%{evo_major}/libecontacteditor.so.*
%{_libdir}/evolution/%{evo_major}/libecontactlisteditor.so.*
%{_libdir}/evolution/%{evo_major}/libefilterbar.so.*
%{_libdir}/evolution/%{evo_major}/libemiscwidgets.so.*
%{_libdir}/evolution/%{evo_major}/libeshell.so.*
%{_libdir}/evolution/%{evo_major}/libessmime.so.*
%{_libdir}/evolution/%{evo_major}/libetable.so.*
%{_libdir}/evolution/%{evo_major}/libetext.so.*
%{_libdir}/evolution/%{evo_major}/libetimezonedialog.so.*
%{_libdir}/evolution/%{evo_major}/libeutil.so.*
%{_libdir}/evolution/%{evo_major}/libevolution-a11y.so.*
%{_libdir}/evolution/%{evo_major}/libevolution-addressbook-a11y.so.*
%{_libdir}/evolution/%{evo_major}/libevolution-addressbook-importers.so.*
%{_libdir}/evolution/%{evo_major}/libevolution-calendar-a11y.so.*
%{_libdir}/evolution/%{evo_major}/libevolution-calendar-importers.so.*
%{_libdir}/evolution/%{evo_major}/libevolution-mail-importers.so.*
%{_libdir}/evolution/%{evo_major}/libevolution-smime.so.*
%{_libdir}/evolution/%{evo_major}/libevolution-widgets-a11y.so.*
%{_libdir}/evolution/%{evo_major}/libfilter.so.*
%{_libdir}/evolution/%{evo_major}/libmenus.so.*

# Various libexec programs:
%dir %{_libdir}/evolution
%dir %{_libdir}/evolution/%{evo_major}
%{_libdir}/evolution/%{evo_major}/csv2vcard
%{_libdir}/evolution/%{evo_major}/evolution-addressbook-clean
%{_libdir}/evolution/%{evo_major}/evolution-addressbook-export
%{_libdir}/evolution/%{evo_major}/evolution-alarm-notify
%{_libdir}/evolution/%{evo_major}/killev
%{_libdir}/evolution/%{evo_major}/evolution-backup

# The plugin directory:
%dir %{evo_plugin_dir}

# The various plugins follow; they are all part of the main package:
# (note that there are various resources such as glade and pixmap files that 
# are built as part of specific plugins but which are currently packaged using 
# globs above; the purpose of the separation below is to be more explicit about
# which plugins we ship)
%{evo_plugin_dir}/org-gnome-mail-account-disable.eplug
%{evo_plugin_dir}/libmail-account-disable.so

%{evo_plugin_dir}/org-gnome-addressbook-file.eplug
%{evo_plugin_dir}/liborg-gnome-addressbook-file.so

%{evo_plugin_dir}/attachment-reminder.glade
%{evo_plugin_dir}/org-gnome-evolution-attachment-reminder.eplug
%{evo_plugin_dir}/liborg-gnome-evolution-attachment-reminder.so

%if %{inline_audio_support}
%{evo_plugin_dir}/org-gnome-audio-inline.eplug
%{evo_plugin_dir}/liborg-gnome-audio-inline.so
%endif

%{evo_plugin_dir}/org-gnome-backup-restore.eplug
%{evo_plugin_dir}/org-gnome-backup-restore.xml
%{evo_plugin_dir}/liborg-gnome-backup-restore.so

%{evo_plugin_dir}/org-gnome-calendar-file.eplug
%{evo_plugin_dir}/liborg-gnome-calendar-file.so

%{evo_plugin_dir}/org-gnome-calendar-http.eplug
%{evo_plugin_dir}/liborg-gnome-calendar-http.so

%{evo_plugin_dir}/org-gnome-calendar-weather.eplug
%{evo_plugin_dir}/liborg-gnome-calendar-weather.so

%{evo_plugin_dir}/org-gnome-copy-tool.eplug
%{evo_plugin_dir}/liborg-gnome-copy-tool.so

%{evo_plugin_dir}/org-gnome-default-mailer.eplug
%{evo_plugin_dir}/liborg-gnome-default-mailer.so

%{evo_plugin_dir}/org-gnome-default-source.eplug
%{evo_plugin_dir}/liborg-gnome-default-source.so

%{evo_plugin_dir}/org-gnome-evolution-bbdb.eplug
%{evo_plugin_dir}/liborg-gnome-evolution-bbdb.so

%{evo_plugin_dir}/org-gnome-evolution-google.eplug
%{evo_plugin_dir}/liborg-gnome-evolution-google.so

%{evo_plugin_dir}/org-gnome-evolution-startup-wizard.eplug
%{evo_plugin_dir}/liborg-gnome-evolution-startup-wizard.so

%{evo_plugin_dir}/org-gnome-exchange-operations.eplug
%{evo_plugin_dir}/liborg-gnome-exchange-operations.so
%{evo_plugin_dir}/org-gnome-exchange-ab-subscription.xml
%{evo_plugin_dir}/org-gnome-exchange-cal-subscription.xml
%{evo_plugin_dir}/org-gnome-exchange-tasks-subscription.xml
%{evo_plugin_dir}/org-gnome-folder-permissions.xml
%{evo_plugin_dir}/org-gnome-folder-subscription.xml

%{evo_plugin_dir}/org-gnome-face.eplug
%{evo_plugin_dir}/liborg-gnome-face.so
%{evo_plugin_dir}/org-gnome-face-ui.xml

%{evo_plugin_dir}/org-gnome-groupwise-features.eplug
%{evo_plugin_dir}/liborg-gnome-groupwise-features.so
%{evo_plugin_dir}/org-gnome-compose-send-options.xml

%{evo_plugin_dir}/org-gnome-gw-account-setup.eplug
%{evo_plugin_dir}/liborg-gnome-gw-account-setup.so

%{evo_plugin_dir}/org-gnome-imap-features.eplug
%{evo_plugin_dir}/liborg-gnome-imap-features.so

%{evo_plugin_dir}/org-gnome-itip-formatter.eplug
%{evo_plugin_dir}/liborg-gnome-itip-formatter.so

%{evo_plugin_dir}/org-gnome-mailing-list-actions.eplug
%{evo_plugin_dir}/liborg-gnome-mailing-list-actions.so
%{evo_plugin_dir}/org-gnome-mailing-list-actions.xml

%{evo_plugin_dir}/org-gnome-mail-notification.eplug
%{evo_plugin_dir}/liborg-gnome-mail-notification.so

%{evo_plugin_dir}/org-gnome-mail-to-task.eplug
%{evo_plugin_dir}/liborg-gnome-mail-to-task.so
%{evo_plugin_dir}/org-gnome-mail-to-task.xml

%{evo_plugin_dir}/org-gnome-mark-all-read.eplug
%{evo_plugin_dir}/liborg-gnome-mark-all-read.so

%{evo_plugin_dir}/org-gnome-mark-calendar-offline.eplug
%{evo_plugin_dir}/liborg-gnome-mark-calendar-offline.so

%{evo_plugin_dir}/org-gnome-plugin-manager.eplug
%{evo_plugin_dir}/liborg-gnome-plugin-manager.so
%{evo_plugin_dir}/org-gnome-plugin-manager.xml

%{evo_plugin_dir}/org-gnome-prefer-plain.eplug
%{evo_plugin_dir}/liborg-gnome-prefer-plain.so

%{evo_plugin_dir}/org-gnome-print-message.eplug
%{evo_plugin_dir}/liborg-gnome-print-message.so
%{evo_plugin_dir}/org-gnome-print-message.xml

%{evo_plugin_dir}/org-gnome-save-calendar.eplug
%{evo_plugin_dir}/liborg-gnome-save-calendar.so

%{evo_plugin_dir}/org-gnome-select-one-source.eplug
%{evo_plugin_dir}/liborg-gnome-select-one-source.so

%{evo_plugin_dir}/org-gnome-subject-thread.eplug
%{evo_plugin_dir}/liborg-gnome-subject-thread.so

%{evo_plugin_dir}/org-gnome-evolution-hula-account-setup.eplug
%{evo_plugin_dir}/liborg-gnome-evolution-hula-account-setup.so

%{evo_plugin_dir}/org-gnome-publish-calendar.eplug
%{evo_plugin_dir}/liborg-gnome-publish-calendar.so
%{evo_plugin_dir}/org-gnome-publish-calendar.xml

%{evo_plugin_dir}/org-gnome-evolution-caldav.eplug
%{evo_plugin_dir}/liborg-gnome-evolution-caldav.so

%{evo_plugin_dir}/org-gnome-evolution-mail-attachments-import-ics.eplug
%{evo_plugin_dir}/liborg-gnome-evolution-mail-attachments-import-ics.so

%files devel
%defattr(-, root, root)
%{_includedir}/evolution-%{evo_major}
%{_libdir}/pkgconfig/evolution-plugin.pc
%{_libdir}/pkgconfig/evolution-shell.pc
%{_libdir}/evolution/%{evo_major}/libeabutil.so
%{_libdir}/evolution/%{evo_major}/libeconduit.so
%{_libdir}/evolution/%{evo_major}/libecontacteditor.so
%{_libdir}/evolution/%{evo_major}/libecontactlisteditor.so
%{_libdir}/evolution/%{evo_major}/libefilterbar.so
%{_libdir}/evolution/%{evo_major}/libemiscwidgets.so
%{_libdir}/evolution/%{evo_major}/libeshell.so
%{_libdir}/evolution/%{evo_major}/libessmime.so
%{_libdir}/evolution/%{evo_major}/libetable.so
%{_libdir}/evolution/%{evo_major}/libetext.so
%{_libdir}/evolution/%{evo_major}/libetimezonedialog.so
%{_libdir}/evolution/%{evo_major}/libeutil.so
%{_libdir}/evolution/%{evo_major}/libevolution-a11y.so
%{_libdir}/evolution/%{evo_major}/libevolution-addressbook-a11y.so
%{_libdir}/evolution/%{evo_major}/libevolution-addressbook-importers.so
%{_libdir}/evolution/%{evo_major}/libevolution-calendar-a11y.so
%{_libdir}/evolution/%{evo_major}/libevolution-calendar-importers.so
%{_libdir}/evolution/%{evo_major}/libevolution-mail-importers.so
%{_libdir}/evolution/%{evo_major}/libevolution-smime.so
%{_libdir}/evolution/%{evo_major}/libevolution-widgets-a11y.so
%{_libdir}/evolution/%{evo_major}/libfilter.so
%{_libdir}/evolution/%{evo_major}/libmenus.so

%files help -f help.lang
%defattr(-, root, root)
%dir %{_datadir}/omf/evolution

%if %{build_conduits}
%files conduits
%defattr(-, root, root)
%dir %{_libdir}/evolution/%{evo_major}/conduits
%{_libdir}/evolution/%{evo_major}/conduits/libeaddress_conduit.so
%{_libdir}/evolution/%{evo_major}/conduits/libecalendar_common_conduit.so
%{_libdir}/evolution/%{evo_major}/conduits/libecalendar_conduit.so
%{_libdir}/evolution/%{evo_major}/conduits/libememo_conduit.so
%{_libdir}/evolution/%{evo_major}/conduits/libetodo_conduit.so
%{_libdir}/gnome-pilot/conduits/e-address.conduit
%{_libdir}/gnome-pilot/conduits/e-calendar.conduit
%{_libdir}/gnome-pilot/conduits/e-memo.conduit
%{_libdir}/gnome-pilot/conduits/e-todo.conduit
%endif

%files bogofilter
%defattr(-, root, root)
%{evo_plugin_dir}/org-gnome-bogo-junk-plugin.eplug
%{evo_plugin_dir}/liborg-gnome-bogo-junk-plugin.so
%{_sysconfdir}/gnome/gconf/schemas/bogo-junk-plugin.schemas

%files spamassassin
%defattr(-, root, root)
%{evo_plugin_dir}/org-gnome-sa-junk-plugin.eplug
%{evo_plugin_dir}/liborg-gnome-sa-junk-plugin.so

%changelog
* Wed Apr 09 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-1
- Version update
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Thu Nov 29 2007 Christian Metzen <metzench@ccux-linux.de> 2.12.2-2
- altered groups
* Mon Nov 26 2007 Christian Metzen <metzench@ccux-linux.de> 2.12.2-1
- Version update
* Mon Oct 15 2007 Christian Metzen <metzench@ccux-linux.de> 2.12.1-1
- Version update
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 2.12.0-2
- small bugfix ins spec
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 2.12.0-1
- Version update
* Tue Apr 24 2007 Christian Metzen <metzench@ccux-linux.de> 2.10.1-2
- small bugfix in post scriplet
* Tue Apr 24 2007 Christian Metzen <metzench@ccux-linux.de> 2.10.1-1
- Version update
* Wed Mar 21 2007 Christian Metzen <metzench@ccux-linux.de> 2.10.0-1
- Version update
* Thu Dec 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.9.2-2
- fixed summary
* Thu Dec 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.9.2-1
- Initial release
